TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get block transactions (extended)

POST
/api/v2/getBlockTransactionsExt

Returns full transaction objects for transactions in a specific block. Each transaction includes complete data: inbound and outbound messages, fees, and BoC-encoded raw data. Use count to limit results and after_lt/after_hash for pagination when incomplete is true.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to fetch transactions from a specific block with optional pagination.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v2/getBlockTransactionsExt" \  -H "Content-Type: application/json" \  -d '{    "workchain": "string",    "shard": "string",    "seqno": "string"  }'
{  "ok": true,  "result": {    "@type": "blocks.transactionsExt",    "id": {      "@type": "ton.blockIdExt",      "workchain": 0,      "shard": "string",      "seqno": 0,      "root_hash": "string",      "file_hash": "string"    },    "req_count": 0,    "incomplete": true,    "transactions": [      {        "address": {          "@type": "accountAddress",          "account_address": "string"        },        "utime": 0,        "data": "string",        "transaction_id": {          "@type": "internal.transactionId",          "lt": "string",          "hash": "string"        },        "fee": "string",        "storage_fee": "string",        "other_fee": "string",        "in_msg": {          "@type": "raw.message",          "hash": "string",          "source": {            "@type": "accountAddress",            "account_address": "string"          },          "destination": {            "@type": "accountAddress",            "account_address": "string"          },          "value": "string",          "extra_currencies": [            {              "@type": "extraCurrency",              "id": 0,              "amount": "string"            }          ],          "fwd_fee": "string",          "ihr_fee": "string",          "created_lt": "string",          "body_hash": "string",          "msg_data": {            "@type": "msg.dataRaw",            "body": "string",            "init_state": "string"          }        },        "out_msgs": [          {            "@type": "raw.message",            "hash": "string",            "source": {              "@type": "accountAddress",              "account_address": "string"            },            "destination": {              "@type": "accountAddress",              "account_address": "string"            },            "value": "string",            "extra_currencies": [              {                "@type": "extraCurrency",                "id": 0,                "amount": "string"              }            ],            "fwd_fee": "string",            "ihr_fee": "string",            "created_lt": "string",            "body_hash": "string",            "msg_data": {              "@type": "msg.dataRaw",              "body": "string",              "init_state": "string"            }          }        ],        "@type": "raw.transactionExt",        "account": "string"      }    ]  },  "@extra": "string"}